linux上的mysql插入中文报错问题解决

【shell编程】报错信息:Command Not Found(包含6种解决方法) Shell运行脚本时报告“Command Not Found”问题,是指命令没有找到。以下是可能的原因和详细解决方法:(可以按照以下步骤一一进行排除) 阅读详情
报错现象:[SQL] insert into fr_sys_config values (null,'NODEAL','未处理',1,'OrderState','',NOW(),'Y');
[Err] 1366 - Incorrect string value: '\xE6\x9C\xAA\xE5\xA4\x84...' for column 'value' at row 1

1、登录mysql,查看mysql默认的编码格式

show variables like “character%”;
如果现实-bash: show: command not found 说明没有登录mysql数据库,需要进行登录
结果如下图所示:

2、修改my.cnf 文件

目录为/etc/my.cnf
如果系统中没有my.cnf文件、则需要创建此文件,具体步骤请看3,如果存在,直接跳过步骤3,直接进入步骤4

3、查找.cnf结尾的文件

命令find / -iname *.cnf -print
结果如图:

将上面搜索结果集中/usr/share/mysql目录下任意的一个文件复制到/etc/目录下
命令:cp /usr/share/mysql/my-large.cnf   /etc/my.cnf

4、编辑my.cnf文件

命令:vi /etc/my,cnf
在[client ]下面加入
default-character-set=utf8
在[ mysqld ] 下面加
character_set_server=utf8
 init_connect=’SET NAMES utf8′(或者是SET NAMES ‘utf8′)
网上说在 [ mysql ] 下面加入
default-character-set=utf8
我测试了下是不可以,因为mysqld不识别它,所以我改成character_set_server=utf8

5、重启mysql

service mysql restart

6、还要drop掉database,create新的database 

Mysql插入中文内容报错解决及其Mysql常用的存储引擎说明 我们在Mysql数据库的表中插入带有中文内容时报错,提示【1366 - Incorrect string value: '\xE5\x8C\x97\xE4\xBA\xAC...' for column 'UserDealer' at row 1】 阅读详情

相关推荐

VHDL实战:基于EDA的数字频率计(FREQ)设计与优化

本文详细介绍了使用VHDL语言和EDA工具设计并优化数字频率计(FREQ)的全过程。从核心原理与模块划分入手,深入讲解了时钟分频、测频控制、计数锁存及显示驱动等关键模块的VHDL实现,并提供了从代码编写、功能仿真到综合布局布线的完整EDA实战指南。文章还探讨了测量精度优化、资源权衡及跨时钟域处理等进阶话题,是掌握FPGA数字系统设计的经典案例。

milk8的博客 584

Linux下提示命令找不到:bash:command not found

Linux下输入某些命令时会提示:bash:command not found。首先,查看$PATH中是否包含了这些命令。$PATH:决定了shell到哪些目录中去寻找命令或程序,PATH值是一系列的目录。当运行程序时,linux到这些目录下搜索进行编译链接。格式:PATH = $PATH:<PATH1>:<PATH2>:<PATH3>:...:<PATH...

panjiao119的博客 6万+

ESP32 开发实战:VS Code 头文件波浪线及编译错误的终极解决方案

本文针对ESP32开发者在VS Code中常见的头文件红色波浪线和fatal error编译错误,提供了终极解决方案。通过详细讲解如何配置c_cpp_properties.json文件来修复编辑器智能提示,以及如何修改CMakeLists.txt来修正编译器路径,帮助开发者彻底解决环境配置问题,提升开发效率。

prometheus9mon的博客 294

提示-bash: command not found的解决方法集锦

3、export PATH=“$PATH:/phpstudy/mysql/bin” #在该文件中加入 command not found 的应用 bin 目录,这里我是将 mysql 的 bin 放到这里,因为我是 mysqld / mysqldump / mysqladmin 命令用不了。第三个这和Windows是相同的道理,都是环境变量惹的祸,就是说你的 命令的 执行文件不在 /usr/bin 或者 /etc/init.d 中,他就找不到 执行该命令的 文件来执行。1.你将命令的名称拼错了。

从事移动开发八年,csdn博客专家,阿里云特邀专家,华为云云享专家,高级网络信息安全工程师,大数据工程师(高级),python技术开发(高级),HarmonyOS 应用开发者高级认证,现在某学校任教。 8万+

Python | 处理CMIP6 NC数据,以tas为例

各位同学,一般在文章最后一章我们可能会做不同气候情景下变量的未来时空变化特征,类似上图。从cmip6下载的nc数据常需要转换格式、裁剪到研究区和重采样等,本期代码可以解决这类问题。

qq_48539301的博客 1384

qq邮箱发错误:The “From“ header is missing or invalid. Please follow RFC5322, RFC2047, RFC822 standard pro

如果还报错 (550, b’The mail may contain inappropriate words or content.'),可能是你message[‘From’]中的< senderxxx@qq.com >发送邮箱填错了,必须要和self.sender = ’ senderxxx@qq.com '一样。可能是之前qq邮箱发送协议存在漏洞,可隐藏发送者邮箱。现在换了新协议,导致与原来协议规则、编码出现了一些问题。"python自动发送""python自动发送"

云霄IT的博客 3670

linux下提示bash:command not found

新安装的linux系统,如果进行精简安装可能会出现bash:command not found 的提示,大家在安装的时候可以选择默认安装basic的组件,一般即可。到时候可以再升级。 如果新装的系统,运行一些很正常的诸如:shutdown,fdisk的命令时,悍然提示:bash:command not found。那么首先就要考虑root 的$PATH里是否已经包含了这些环境变量。主要是...

米斯特程序猿 1535

Python航空航天设计神器!从入门到实操,小白也能搞定飞机优化

AeroSandbox的核心价值的是:​降低航空工程优化的门槛,用Python实现高效、简洁的工程设计​。无论是科研、学习还是实际项目,它都能帮你节省大量时间,不用再手动推导导数、编写复杂的优化逻辑。对于新手来说,建议先从案例1(Rosenbrock函数)入手,熟悉优化流程,再尝试案例2(翼型优化),逐步掌握核心用法;对于有航空相关需求的小伙伴,可以深入研究内置的物理模型,结合自己的项目进行定制化开发。最后,互动时间到!👉 你是用AeroSandbox做科研、练手还是实际项目?

源代码杀手的博客 124

linux下修改mysql的默认字符编码

ubuntu下修改mysql的默认字符编码

gwq5210的专栏 1228

Cadence OrCAD Capture软件启动过程卡死且无法恢复的解决方法

如下图所示Cadence OrCAD Capture软件在启动后出现卡死的现象,且等待后无法自动恢复,需要强行关闭,再次启动依然卡死。

fydar的博客 4044

Thor芯片部署

英伟达Jetson Thor芯片性能分析与应用现状 摘要:英伟达最新发布的Jetson Thor芯片基于Blackwell架构,官方宣称AI算力达2070TFLOPS(FP4),较前代Orin提升7.5倍,配备14核Arm CPU和128GB内存。然而实际量产版算力缩水至700TOPS,且因4nm制程良率问题多次延期至2025-2026年交付。该芯片支持FP4/FP8量化、Transformer引擎等先进特性,适用于自动驾驶、机器人等边缘AI场景,但受供应链限制,国内厂商倾向自研方案。开发者可通过JetPa

xiaomu_347的博客 431

msyql中文插入报错

mysql插入中文报错问题 在我们linux的启动的mysql插入中文的时候的报错的问题 ## 解决方案一 修改linux中的的mysql的设置 ![在这里插入图片描述](https://img-blog.csdnimg.cn/20191027223458763.png) ![在这里插入图片描述](https://img-blog.csdnimg.cn/20191027223511684....

weixin_43889963的博客 274

静态代码审计插件 snyk 使用教程

静态代码审计插件 snyk 使用教程

SHELLCODE_8BIT的博客 2005

Linux上修改MySQL字符集为UTF8

Linux上修改MySQL字符编码为UTF8 开始在linux上装好了MySQL服务,在后期的使用过程中,突然发现在插入记录时,部分字段不能为中文,报错信息如下: mysql> insert into syudent values(1,'陶盼',21); ERROR 1366 (HY000): Incorrect string value: '\xE9\x99\xB6\xE7\x9B\xBC' for column 'name' at row 1 经过我坚持不懈的查找资料,终于解决了该问题。下面给

生而无畏,战至终章 3498

IDEA的使用指南

IDEA基于java的使用手册,可以最快速的上手,在使用中不断的丰富自己的使用技巧.

复分析 阿尔福斯(Ahlfors) 第三版答案 英文

答案分为十章,有部分习题没有答案,全英文复分析阿尔福斯(Ahlfors) 第三版答案

linux etc mysql丢失_Linux下MySql插入汉字报错解决(/etc/my.cnf不存在)

Linux下MySql插入汉字报错解决(/etc/my.cnf不存在)看了很多帖子,大多数是说修改my.cnf,如http://www.2cto.com/database/201303/196824.html可是我的这个文件不存在,难道是用rpm安装的缘故。还有人说cp /usr/share/my-huge.cnf /etc/my.cnf 遗憾的是这个my-huge的文件都么有。找了半天终于摸索出...

weixin_39960700的博客 72

C# WinForm 基于DirectShow.dll编写的程序,可边预览边保存视频,音频和图片

基于微软的DirectShow.dll的二次开发1.自动识别连接的摄像头跟麦克风且可以对其进行选择(默认选中第一个)2.可录制wmv和avi两种格式的视频并且都带有音频,avi可以录制的分辨率和帧数进行选择,wmv默认进行了淸晰度优化如不喜欢可去除代码中有相关提示3.可在预览点开之后进行拍照,也可边录制视频边拍照4.添加了视频和音频的压缩功能(酌情使用)这次二次开发发现C#对DirectShow的相关信息太少,这次做完也不敢藏私共享出来,还望大家指正

mysql汉字会报错_Linux下MySql插入汉字报错解决(/etc/my.cnf不存在)

Linux下MySql插入汉字报错解决(/etc/my.cnf不存在)看了很多帖子,大多数是说修改my.cnf,如http://www.2cto.com/database/201303/196824.html可是我的这个文件不存在,难道是用rpm安装的缘故。还有人说cp /usr/share/my-huge.cnf /etc/my.cnf 遗憾的是这个my-huge的文件都么有。找了半天终于摸索出...

weixin_34000790的博客 148

文档:亲测可用解决vnc灰屏,黑屏,鼠标大黑叉情况

主要解决vnc-viewer灰屏,黑屏,鼠标大黑叉等现象,详细见文档。

嵌入式I2C/SPI实战面试指南:从协议原理到产线调试

I2C和SPI是嵌入式开发中最基础也最易暴露工程短板的通信协议,其本质是嵌入式工程师与硬件‘对话’能力的试金石。理解它们不仅需掌握时序、CPOL/CPHA等原理,更需具备资源受限下的电气层分析能力(如上拉电阻选型、总线电容计算)、驱动层调试经验(HAL库DMA陷阱、中断响应时效)及产线级故障定位手段(示波器毛刺识别、逻辑分析仪波形反推)。这些能力直接支撑工业传感器网关、智能电表、LoRa模块等真实场景的稳定性与实时性需求。本文聚焦I2C/SPI在嵌入式面试中的高频考察逻辑——不是考定义背诵,而是检验你能否从

weixin_33778544的博客 340

php程序中用户名含特殊字符怎么办,PHP采集入库对内容中的特殊字符处理

今天Linux上用PHP做采集入库遇到了mysql的报错:SQLSTATE[HY000]: General error: 1366 Incorrect string value: '\xF4\x8F\xB1\x82\xF4\x8F...' for column 'content' at row 1远程mysql版本为5.7;通过排查发现是内容中有特殊字符,按照网上的方式把数据库和表的字符集改为:u...

weixin_28940217的博客 322

linux下mysql中文乱码问题解决办法

linux下Mysql中文乱码问题解决办法 一、lampp环境下的数据库乱码问题 问题描述: 在做mysql练习的时候发现新创建的数据库中插入数据表中的记录中文出现乱码的问题,如下图: 经过多方查证,整里如下文挡: 前提: 我自己的环境是使用的lampp下的mysql,该配置文件是在/opt/lampp/etc/my.cnf;如果是自己安装的mysql,那么配置文件一般都在/etc...

zl的博客 1万+

linux复制有中文报错,linux 环境 mysql写入中文报错

linux 环境 mysql写入中文报错查看字符集编码MySQL> show variables like 'character%';修改字符集编码,方法如下mysql> set character_set_database=utf8;注意,有可能在修改之后仍然在写入中文是报错1>重新启动mysql2>将原有的库删除,重新建库以上就是本文的全部内容,希望本文的内容对大家的学...

weixin_30388485的博客 268

Linux——Mysql中文不兼容问题

Linux 下使用Mysql 命令行时 中文不兼容问题记录 Mysql使用新手,在linux中使用mysql时遇到中文相关的两个问题 在命令行中无法输入中文 insert 中文显示乱码以及无法插入的 系统环境 操作系统:

霊昱的博客 725

mysql修改字符集插入中文报错

1:Windows平台,因为Windows操作系统默认的是用了gb2312这个字符,而mysql在安装的时候,默认的是客户端和服务器都用了latin1,所以这就导致一个字符集和字符校验不匹配的问题,这个时候只需要找到mysql的配置文件my.ini 找到default-character_set ,把他的参数改成gb2312就可以了,一共有两个这样的参数,一个是对客户的,一个是服务器的,我一般建议...

ck784101777的博客 1013

mysql使用insert报错_MySQL 中文insert报错Incorrect string value:

MySQL 中文insert报错Incorrect string value:序言:中文录入失败,报错:Incorrect string value: '\xCC\xEC\xB2\xC5',如下所示:mysql> set names utf8;Query OK, 0 rows affected (0.00 sec)mysql> insert into t select 2 as a ,...

weixin_42591413的博客 951

Ubuntu下Mysql 5.7中文插入失败的问题,Incorrect string value

插入中文后,出现Incorrect string value…的错误。 如上图所示 输入show variables like 'character%';查看Mysql当前编码格式。 这里除了character_set_filesystem,character_sets_dir其他都为utf8. 所以修改Mysql的配置文件,Linux下应修改my.cnf 我是用apt-get安装的M

OOC_ZC的博客 4039

解决Linux中安装MySQL中文乱码问题、修改MySQL字符集、Windows中同样适用

尝试插入输入: 原因是字符集问题 1 查看字符集 show variables like 'character%'; show variables like '%char%'; 看看出现的结果: 默认的服务器用了latin1,所以会乱码。 2 修改my-huge.cnf 在/usr/share/mysql/ 中找到my-huge.cnf的配置文件, 拷贝其中的my-huge.cnf 到 /...

qq_43265673的博客 492
上一篇: Spring+ActiveMQ配置
下一篇: Java实现发邮件功能
独黑
博客等级 码龄16年 5粉丝 18原创
评论 1
成就一亿技术人!
拼手气红包6.0元
还能输入1000个字符
 
 条评论被折叠 查看
添加红包

请填写红包祝福语或标题

个

红包个数最小为10个

元

红包金额最低5元

当前余额3.43元 前往充值 >
需支付:10.00元
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付元
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值